Package core :: Module tcp_support :: Class TCPSupport

[hide private]
[frames] | no frames]

# Class TCPSupport

source code

    object --+
             |
            TCPSupport

Known Subclasses:
  - net.NetServer
  - , net.NetClient
  - , http.HttpServer
  - , http.HttpClient

Mixin module that provides all the common TCP params that can be set.

Instance Methods | [hide private]

set_send_buffer_size(self, bytes) Set the TCP send buffer size. | source code

set_receive_buffer_size(self, bytes) Set the TCP receive buffer size. | source code

set_tcp_keep_alive(self, val) Set the TCP keep alive setting. | source code

set_reuse_address(self, val) Set the TCP reuse address setting. | source code

set_so_linger(self, val) Set the TCP so linger setting. | source code

set_traffic_class(self, val) Set the TCP traffic class setting. | source code

Class Variables | [hide private]

| send_buffer_size = `property(fset= set_send_buffer_size)`
| receive_buffer_size = `property(fset= set_receive_buffer_size)`
| tcp_keep_alive = `property(fset= set_tcp_keep_alive)`
| reuse_address = `property(fset= set_reuse_address)`
| so_linger = `property(fset= set_so_linger)`
| traffic_class = `property(fset= set_traffic_class)`

Method Details | [hide private]

### set_send_buffer_size(self, bytes)

source code

Set the TCP send buffer size.

Keyword arguments:

Parameters:
  - `bytes` - The size in bytes.

    return a reference to self so invocations can be chained

### set_receive_buffer_size(self, bytes)

source code

Set the TCP receive buffer size.

Keyword arguments:

Parameters:
  - `bytes` - The size in bytes.

    return a reference to self so invocations can be chained

### set_tcp_keep_alive(self, val)

source code

Set the TCP keep alive setting.

Keyword arguments:

Parameters:
  - `val` - If true, then TCP keep alive will be enabled.

    return a reference to self so invocations can be chained

### set_reuse_address(self, val)

source code

Set the TCP reuse address setting.

Keyword arguments:

Parameters:
  - `val` - If true, then TCP reuse address will be enabled.
Returns:
  a reference to self so invocations can be chained

### set_so_linger(self, val)

source code

Set the TCP so linger setting.

Keyword arguments:

Parameters:
  - `val` - If true, then TCP so linger will be enabled.

    return a reference to self so invocations can be chained

### set_traffic_class(self, val)

source code

Set the TCP traffic class setting.

Keyword arguments:

Parameters:
  - `val` - The TCP traffic class setting.

    return a reference to self so invocations can be chained